## MmGdbusObjectProxy

MmGdbusObjectProxy

## Functions

MmGdbusObjectProxy * | mm_gdbus_object_proxy_new ()

## Types and Values

struct | MmGdbusObjectProxy

## Object Hierarchy

        GObject
        ╰── GDBusObjectProxy
            ╰── MmGdbusObjectProxy
                ╰── MMObject

## Implemented Interfaces

MmGdbusObjectProxy implements GDBusObject and MmGdbusObject.

## Description

## Functions

### mm_gdbus_object_proxy_new ()

    MmGdbusObjectProxy *
    mm_gdbus_object_proxy_new (GDBusConnection *connection,
                               const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

## Types and Values

### struct MmGdbusObjectProxy

    struct MmGdbusObjectProxy;

The MmGdbusObjectProxy structure contains only private data and should only be accessed using the provided API.